Subject: Re: [multimob] Gen-ART review of draft-ietf-multimob-pmipv6-source-07

From: "Thomas C. Schmidt" <[email-masked]>
Date: Mon, 17 Feb 2014 11:41:09 +0100

Hi David,

many thanks for the review and the feedback.

Please see responses inline.

On 17.02.2014 04:22, Black, David wrote:
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
>
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
> Document: draft-ietf-multimob-pmipv6-source-07
> Reviewer: David L. Black
> Review Date: Feb 16, 2014
> IETF LC End Date: Feb 24, 2014
>
> Summary: This draft is basically ready for publication, but has nits that
> should be fixed before publication.
>
> This draft describes multicast support for proxy mobile IPv6.  It assumes
> significant understanding of multicast and specifically the PIM-SM protocol.
>
> Nits/editorial comments:
>
> -- Introduction, 3rd paragraph
>
> Remove the word business from the following text, please:
>
>               Such approaches (partially) follow
>     the business model of providing multicast data services in parallel
>     to PMIPv6 unicast routing [I-D.ietf-multimob-handover-optimization].
>

O.K., done.

> -- 4.3.1
>
> The fact that PIM-SM has three phases could be made somewhat clearer here.
> Suggestion:
>
> OLD
>     The granularity of mobility-related routing
>     locators required in PIM depends on the complexity (phases) of its
>     deployment.
>
>     The following information is needed for all three phases of PIM as
>     defined in [RFC4601].
> NEW
>     The granularity of mobility-related routing
>     locators required in PIM depends on the complexity (specific phase)
>     of its deployment.
>
>     For all three phases of PIM deployment (see [RFC4601]), the following
>     information is needed.
>

O.K., done

> Also, is "deployment" the right word to describe the phases?  It implies
> that not all of the phases need to be present in an implementation or
> used, even if applicable.
>

You're right. We have reworded

     For all three phases in the operation of PIM (see [RFC4601]), the 
following information is needed.

> -- 4.3.2 - 4.3.4
>
> I would also suggest including the names of the phases from RFC 4601 in
> these section titles, e.g.:
>
> 4.3.2.  Operations of PIM in Phase One (RP Tree)
>

Thanks, done.

> -- idnits
>
> idnits 2.13.01 found an unused reference and a couple of drafts that
> have been updated:
>
>    == Unused Reference: 'RFC2236' is defined on line 1047, but no explicit
>       reference was found in the text
>

Oh, a lapse - RFC2236 is listed mainly for historic/compatibility 
reasons. It is referenced now.

>    == Outdated reference: A later version (-02) exists of
>       draft-ietf-multimob-fmipv6-pfmipv6-multicast-01
>
>    == Outdated reference: A later version (-07) exists of
>       draft-ietf-multimob-handover-optimization-06
>

This is due to an update problem of the online tool (ID database), which 
seems fixed now.

Thanks again!

We will update the document as soon as the submission re-opens.

Best regards,

Thomas
-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °